use POSIX qw(floor);

open OUT, ">../build/constellationareas.dat" or die;
binmode OUT;

while(<>) {
    if (/(.*)\t(.*)\t(.*)\t(.*)\t(.*)/) {
        $names[@names] = $1;
        $x[@x] = $2;
        $y[@y] = $3;
        $z[@z] = $4;
        $r[@r] = $5;
    }
}

print OUT pack "n", 0; # New version marker

print OUT pack "n", (@names+0);
for $i (0..@x-1) {
    $out = pack "NNNN", floor(.5+(1<<30)*$x[$i]),floor(.5+(1<<30)*$y[$i]),floor(.5+(1<<30)*$z[$i]),floor(.5+(1<<30)*$r[$i]);
    print OUT $out;
}
for $i (0..@names-1) {
    print OUT $names[$i].chr(0);
}
close OUT;
