# Extract distances (in ly) from Celestia databases
while(<>) {
    if (/^\s*(Galaxy|Globular|OpenCluster) /i) {
        @list = ();
        $l = $_;
        if ($l=~/\b(NGC *[0-9]+[a-z]*)/) {
            push @list, "$1";
        }
        if ($l=~/\b(IC *[0-9]+[a-z]*)/) {
            push @list, "$1";
        }
        if ($l=~/\b(M *[0-9]+[a-z]*)/) {
            push @list, "$1";
        }
        while(<>) {
            if(/^\s*\}/) {
                last;
            }
            if(/^\s*Distance\s+([+.e0-9]+)/) {
                $d = $1;
                foreach(@list) {
                    s/ //g;
                    print $_."\t".$d."\n";
                }
            }
        }
    }
}
