/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroBW.h 857 2008-12-14 04:31:13Z arpruss $
 * Copyright (C) 2001, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef AstroBW_h
#define AstroBW_h

#include <PalmOS.h>
#include "Astro.h"

#define BWSECTION __attribute__ ((section ("code4")))

extern UInt32 BWFilterObjects(Char *search) BWSECTION;
extern UInt32 BWGetFilteredObject(UInt32 position) BWSECTION;
extern UInt32 BWGetFilteredPosition(UInt32 object) BWSECTION;
extern void BWGetString(DBRecord *db, UInt32 index, Char *dest) BWSECTION;
extern void BWOpenCatalogs(void) BWSECTION;
extern void BWCloseCatalogs(void) BWSECTION;

#endif

