/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroGlue.h 735 2008-01-14 04:33:14Z arpruss $
 * Copyright (C) 2001, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef AstroGlue_h
#define AstroGlue_h

extern UInt32 GlueNullTick;
extern Boolean EvtGlueSetNullEventTick(UInt32 tick);
void WinGlueSetBackColorRGB(const RGBColorType* newColor, 
    RGBColorType* oldColor);
void WinGlueSetForeColorRGB(const RGBColorType* newColor,
    RGBColorType* oldColor);
void WinGlueSetTextColorRGB(const RGBColorType* newColor,
    RGBColorType* oldColor);

#endif
