/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroMoon.h 634 2007-05-12 16:39:39Z hoenicke $
 * Copyright (C) 2007, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

/*
 * Lunar Position for the current date/time
 * angles in radians.  If EC is non-null
 * it will contain an estimated correction
 * for parallax.
 */
void
LunarPos(Int32 jday, Int32 jtime, Int32 *EC, VectorType radec,
         Int32 *pillf, Int16 *pmag, Int32 *pgdist, 
         Int32 *psemid, Int32 *ppa) ALIBSECTION;

