/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroTable.h 613 2006-08-21 18:24:39Z hoenicke $
 * Copyright (C) 2002, Astro Info SourceForge Project
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
#ifndef AstroTable_h
#define AstroTable_h

#define ATABLESECTION __attribute__ ((section ("code2")))

void AstroFreeTable(TableType *tableP) ATABLESECTION;
/* Has to be Int16 as this is a callback function */
void AstroTableDrawItem(void *tblP, Int16 row, Int16 column, RectanglePtr bounds) ATABLESECTION; 
void UpdateTblItemText(TablePtr table, Int8 row, Int8 col, Char *text) ATABLESECTION;
void ClearTable(UInt16 objid, UInt8 startingrow, UInt8 startingcol) ATABLESECTION;

void InitPhaseCalendarTable(void) ATABLESECTION;
void InitSolarTable(FormPtr formPtr) ATABLESECTION;

#endif
