/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 * 
 * $Id: AstroEphem.h 708 2008-01-12 15:20:02Z arpruss $
 * Copyright (C) 2001, Jochen Hoenicke
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef AstroEphem_h
#define AstroEphem_h

#include "AstroMatrix.h"

#define EPHEMSECTION __attribute__ ((section ("code2")))

void
HelioPlanetPos(Int16 planet, Int32 jday, Int32 jtime,
               Int32 *pmeanlong, Int32 *phdist,
               VectorType celestial) EPHEMSECTION;

#endif
