/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 *
 * $Id: AstroFetchImage.h 971 2010-04-12 22:38:03Z hoenicke $
 * Copyright (C) 2001, Astro Info SourceForge Project
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef AstroFetchImage_h
#define AstroFetchImage_h

#include <PalmOS.h>
#include "Astro.h"

#define DSSSECTION __attribute__ ((section ("code4")))

Boolean DSSImageFormHandleEvent(EventPtr event) DSSSECTION;
void NetClose( void ) DSSSECTION;

extern Int32 dssRA;
extern Int32 dssDec;
extern Int32 dssXSize;
extern Int32 dssYSize;
extern Int32 dssRotate;
extern Boolean dssXFlip;

#endif
