/*
 * Astro Info - a an astronomical calculator/almanac for PalmOS devices.
 *
 * $Id: RoadLinguaInterface.c 971 2010-04-12 22:38:03Z hoenicke $
 * Copyright (C) 2001, Astro Info SourceForge Project
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#include <PalmOS.h>


UInt32
PilotMain(UInt16 cmd,
          MemPtr cmdPBP,
          UInt16 launchFlags)
{
    if (cmd == sysAppLaunchCmdGoToURL) {
        LocalID id;
        Int32   outputValue;

        id = DmFindDatabase(0, "RoadLingua");

        if (id == NULL)
            return 1;

        return SysAppLaunch(0, id, 0, sysAppLaunchCmdCustomBase,
                        cmdPBP, &outputValue);
    }
    
    return 0;
}